Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.request
Class PortletEventRequest

    java.lang.Object
      org.jboss.portal.portlet.controller.request.ControllerRequest
          org.jboss.portal.portlet.controller.request.ContainerRequest
              org.jboss.portal.portlet.controller.request.PortletRequest
                  org.jboss.portal.portlet.controller.request.PortletEventRequest

    public class PortletEventRequest

extends PortletRequest

An event request. The purpose of this type of request is to allow the portal to fire events to a portlet.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`PortletEventRequest(java.lang.String windowId, PortletWindowNavigationalState windowNavigationalState, PortletPageNavigationalState pageNavigationalState, javax.xml.namespace.QName name, java.io.Serializable payload)`

Method Summary
`javax.xml.namespace.QName` | `getName()`
`java.io.Serializable` | `getPayload()`

Methods inherited from class org.jboss.portal.portlet.controller.request.PortletRequest
`getPageNavigationalState, getWindowNavigationalState`

Methods inherited from class org.jboss.portal.portlet.controller.request.ContainerRequest
`getWindowId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletEventRequest

    public PortletEventRequest(java.lang.String windowId,
                               PortletWindowNavigationalState windowNavigationalState,
                               PortletPageNavigationalState pageNavigationalState,
                               javax.xml.namespace.QName name,
                               java.io.Serializable payload)

Method Detail

### getName

    public javax.xml.namespace.QName getName()

### getPayload

    public java.io.Serializable getPayload()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.